* {
  margin: 0;
}

html, body {
  height: 100vh;
  overflow: hidden;
}

body {
  background-image: url(assets/images/bg_image.jpg);
  background-size: cover;
}

.page-wrap {
  min-height: 100vh;
  overflow: hidden;
  margin-bottom: -104px;
}

main:after {
  content: "";
  display: block;
}

footer, main:after {
  height: 104px;
}

main {
  height: 100vh;
  overflow: auto;
  padding-right: 0; /* exact value is given in JavaScript code */
  > *:not(router-outlet) {
    flex: 1;
    display: block;
    padding-top: 1rem;
    padding-left: 1rem;
    padding-right: 1rem;
  }
}

/*body {
  background-color: #f2f2f2 !important;
}*/

footer {
  position: absolute;
  bottom: 0;
}

.content {
  flex: 1;
}

.loader {
  position: fixed;
  width: 100vw;
  height: 100vh;
  background: map-get($md-primary, 500);
  div {
    top: 50%;
    left: 50%;
    transform: translateX(-50%) translateY(-50%);
  }
}

.mat-toolbar-row {
  &.top-nav-wrapper {
    z-index: 1;
    height: 2em;
    text-transform: uppercase;
    padding: 0 0.5em;
    &.top-nav-wrapper > div,
    &.top-nav-wrapper > ul {
      font-size: 0.875em;
    }
  }
  .logo-siae {
    text-align: left;
    padding-left: .1em;
    .mat-icon {
      height: 64px;
      width: 64px;
    }
  }
  .testo-logo {
    height: 100%;
    text-transform: none;
    width: auto;
    font-size: 90%;
    margin-top: .4em;
  }
  &.main-navigation {
    background-color: #fff;
    color: #262c3a;
    padding: 0;
    font-size: 18px;
    float: left;
    width: 100%;
    line-height: 40px;
    z-index: 1;
  }

}

.mat-form-field-infix {
  padding: .6em 0;
}

.mat-drawer-container {
  z-index: 0 !important;
  &.mat-sidenav-container {
    background: #f2f2f2 !important;
    min-height: 100vh;
    &.overflow-login {
      overflow: hidden !important;
      background: transparent !important;
    }
  }
}

.mat-drawer-content.mat-sidenav-content {
  overflow: hidden;
  //margin-left: 215px !important;
  .mat-elevation-z6 {
    background: #fff;
  }
}

.mat-tab-link {
  .mat-icon {
    padding-right: 10px;
  }
}

.example-sidenav {
  position: relative;
  top: 0;
  background: map-get($md-primary, 500);
  .mat-nav-list {
    padding-top: 0;
    &.active {
      color: map-get($md-primary, 100);
    }
  }
  .mat-list-item {
    padding: 0.5em;
    color: map-get($md-primary, 100);
    //border-radius: 1em;
    &.active {
      color: map-get($md-primary, 500);
      background: #fff;
    }
    .mat-list-item-content {
      padding: 0 16px 0 6px !important;
      .mat-icon {
        padding-right: 10px;
      }
    }
  }
}

div.mat-input-flex.mat-form-field-flex > div > span > label > span,
span.mat-placeholder-required {
  display: none;
}

div.mat-input-flex.mat-form-field-flex > div > span > label {
  font-size: 120%;
  margin-bottom: 0.1em;
}

div.mat-select-value > span {
  font-size: 120%;
}

.drop-zone {
  padding: 5px;
  width: 100%;
  height: 100% !important;
  border-radius: 0 !important;
  border: 0 !important;
  bottom: 0 !important;
  .content {
    height: 100% !important;
  }
}

.sendButton {
  width: 240px !important;
  height: 45px !important;
  margin-top: 10px !important;
  margin-bottom: 10px !important;
}

.attachElement {
  margin-left: 10px;
  margin-right: 10px;
}

.blacktext {
  color: #292929 !important;
}

.whitetext {
  color: #fff !important;
}

.bottom {
  align-self: flex-end;
  margin-left: 10px;
  margin-right: 10px;
  margin-bottom: 12px !important;

}

.boxed-container {
  .text-bold {
    font-family: $dosisbold-family !important;
  }
  .title {
    text-transform: uppercase;
    margin: 0 0 .5em 0;
  }
  .center {
    text-align: center;
  }
  min-width: 300px;
  padding: 1em;
  margin-bottom: 1em;
}

.example-header {
  min-height: 64px;
  padding: 8px 24px 0;
}

.mat-form-field {
  font-size: 14px;
}

.mat-table {
  overflow: auto;
  max-height: 500px;
}

form .mat-list, .mat-list.upload, .mat-list.attachment {
  margin: 1em 0;
  overflow-y: auto;
  padding: 0.5rem;
  font-style: italic;
  .mat-list-item {
    font-size: 1rem;
    height: 2rem;
  }
}

.mat-list.upload {
  height: 3rem;
}

.mat-list.attachment {
  height: 8rem;
}

.bottom-toolbar {
  bottom: 1rem;
  position: fixed;
  padding: 0.5rem;
  z-index: 999;
}

.attachment-toolbar {
  bottom: 1rem;
  position: fixed;
  padding: 0.5rem;
  z-index: 999;
  background: #fff;
}

.bgprimary {
  background-color: #40485f;
  color: #fff;
}

.mat-button.account {
  box-shadow: none;
  background: map-get($md-accent, 600);
}

.mat-menu-panel {
  border-radius: 6px !important;
  &.mat-elevation-z2 {
    box-shadow: 0 0 15px 1px rgba(0, 0, 0, 0.14) !important;
  }
}

.mat-list-item {
  font-family: inherit;
}

.mat-toolbar-row .assistenza {
  margin: 0 1em;
}

.mat-headline {
  font-size: 130%;
  text-transform: uppercase;
}

.mat-subheading-1 {
  font-family: inherit;
  font-size: 120%;
}

.mat-form-field-label {
  height: 2em;
}

.mat-expansion-panel-header-description {
  flex-grow: 0 !important;
}

.mat-cell, .mat-header-cell {
  overflow: visible !important;
  font-size: 100% !important;
}

.mat-list {
  .mat-subheader, .mat-list-item {
    font-size: 90% !important;
    height: 24px !important;
  }
}

ul {
  list-style: disc;
  li {
    margin-left: 2em;
  }
  .mat-subheader {
    padding: 1em 0 .5em .5em !important;
    //font-size: 110% !important;
  }
}

.mat-elevation-z2 {
  padding: .5em;
  ul {
    margin-bottom: 1em;
  }
}

.mat-content .mat-expansion-panel-header-title.title {
  font-size: 130%;
  line-height: 24px;
}

.mat-paginator-page-size {
  display: none !important;
}

.mat-paginator-range-label {
  font-size: 130%;
}

.mat-select {
  line-height: 24px;
}

broadcasting-platform-custom-mat-dialog {
  .mat-list-item-content {
    padding: 0 4em !important;
  }
}
